Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractMediaStream

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.phonon.AbstractMediaStream

All Implemented Interfaces:
  com.trolltech.qt.QtJambiInterface

    public abstract class AbstractMediaStream

extends com.trolltech.qt.core.QObject

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`protected` | `AbstractMediaStream()` This method is internal to Qt Jambi.
`protected` | `AbstractMediaStream(com.trolltech.qt.core.QObject parent)` This method is internal to Qt Jambi.
`protected` | `AbstractMediaStream(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`protected void` | `endOfData()` This method is internal to Qt Jambi.
`protected void` | `enoughData()` This method is internal to Qt Jambi.
`protected void` | `error(Phonon.ErrorType errorType, java.lang.String errorString)` This method is internal to Qt Jambi.
`static AbstractMediaStream` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`protected abstract void` | `needData()` This method is internal to Qt Jambi.
`protected abstract void` | `reset()` This method is internal to Qt Jambi.
`protected void` | `seekStream(long offset)` This method is internal to Qt Jambi.
`protected void` | `setStreamSeekable(boolean arg__1)` This method is internal to Qt Jambi.
`protected void` | `setStreamSize(long arg__1)` This method is internal to Qt Jambi.
`protected boolean` | `streamSeekable()` This method is internal to Qt Jambi.
`protected long` | `streamSize()` This method is internal to Qt Jambi.
`protected void` | `writeData(com.trolltech.qt.core.QByteArray data)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractMediaStream

    protected AbstractMediaStream()

  This method is internal to Qt Jambi.

### AbstractMediaStream

    protected AbstractMediaStream(com.trolltech.qt.core.QObject parent)

  This method is internal to Qt Jambi.

### AbstractMediaStream

    protected AbstractMediaStream(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### endOfData

    protected final void endOfData()

  This method is internal to Qt Jambi.

### error

    protected final void error(Phonon.ErrorType errorType,
                               java.lang.String errorString)

  This method is internal to Qt Jambi.

### setStreamSeekable

    protected final void setStreamSeekable(boolean arg__1)

  This method is internal to Qt Jambi.

### setStreamSize

    protected final void setStreamSize(long arg__1)

  This method is internal to Qt Jambi.

### streamSeekable

    protected final boolean streamSeekable()

  This method is internal to Qt Jambi.

### streamSize

    protected final long streamSize()

  This method is internal to Qt Jambi.

### writeData

    protected final void writeData(com.trolltech.qt.core.QByteArray data)

  This method is internal to Qt Jambi.

### enoughData

    protected void enoughData()

  This method is internal to Qt Jambi.

### needData

    protected abstract void needData()

  This method is internal to Qt Jambi.

### reset

    protected abstract void reset()

  This method is internal to Qt Jambi.

### seekStream

    protected void seekStream(long offset)

  This method is internal to Qt Jambi.

### fromNativePointer

    public static AbstractMediaStream fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD